XFuRLESpritePrinter class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuRLESpritePrinter Class Reference

XFuPrinter variant that uses RLE sprites instead of normal ones. More...

`#include <XFuRLESpritePrinter.h>`

Inheritance diagram for XFuRLESpritePrinter:

[legend]
Collaboration diagram for XFuRLESpritePrinter:

[legend]
List of all members.

## Public Member Functions

virtual void | print (XFcGLSurface *aTarget, INT32 aX, INT32 aY, const CHAR *aText, INT32 aBlendType=0, INT32 aBlendValue=0x7f, XFcRectangle *aClipRect=NULL)
| Prints a character string with the printer's font.
virtual void | stringMetrics (const CHAR *aText, INT32 &aWidth, INT32 &aHeight)
| Calculates how big an area a string would take if printed.
virtual INT32 | getCharWidth (CHAR aChar)
| Returns the width of a single character.
virtual | ~XFuRLESpritePrinter ()

## Static Public Member Functions

XFuRLESpritePrinter * | create (const CHAR *aFname)
| Creates XFuRLESpritePrinter from an image file.
XFuRLESpritePrinter * | create (const CHAR *aFname, UINT32 aBaseMask, UINT32 aBaseColor)
| Creates XFuRLESpritePrinter from an image file.
XFuRLESpritePrinter * | create (const CHAR *aFname, UINT32 aBaseMask, UINT32 aBaseColor, REAL aXScale, REAL aYScale)
| Creates XFuRLESpritePrinter from an image file using a scale.

## Protected Member Functions

| XFuRLESpritePrinter ()

## Protected Attributes

XFcRLESprite ** | mLetterSprite

## Detailed Description

XFuPrinter variant that uses RLE sprites instead of normal ones.

See also:
  XFuPrinter

Definition at line 22 of file XFuRLESpritePrinter.h.

## Constructor & Destructor Documentation

XFuRLESpritePrinter::~XFuRLESpritePrinter | ( |  | ) | `[virtual]`

| Definition at line 285 of file XFuRLESpritePrinter.cpp. References mLetterSprite, and XFuPrinter::mMaxletter.

XFuRLESpritePrinter::XFuRLESpritePrinter | ( |  | ) | `[protected]`

| Definition at line 297 of file XFuRLESpritePrinter.cpp. References mLetterSprite. Referenced by create().

## Member Function Documentation

XFuRLESpritePrinter * XFuRLESpritePrinter::create | ( | const CHAR * | aFname,
|  | UINT32 | aBaseMask,
|  | UINT32 | aBaseColor,
|  | REAL | aXScale,
|  | REAL | aYScale
| ) | `[static]`

| Creates XFuRLESpritePrinter from an image file using a scale. Definition at line 31 of file XFuRLESpritePrinter.cpp. References XFuPrinter::mLetterSpacing, mLetterSprite, XFuPrinter::mLineHeight, XFuPrinter::mLineSpacing, XFuPrinter::mMaxletter, XFuPrinter::mSpaceWidth, and XFuRLESpritePrinter().

XFuRLESpritePrinter * XFuRLESpritePrinter::create | ( | const CHAR * | aFname,
|  | UINT32 | aBaseMask,
|  | UINT32 | aBaseColor
| ) | `[static]`

| Creates XFuRLESpritePrinter from an image file. Definition at line 26 of file XFuRLESpritePrinter.cpp. References create().

XFuRLESpritePrinter * XFuRLESpritePrinter::create | ( | const CHAR * | aFname | ) | `[static]`

| Creates XFuRLESpritePrinter from an image file. Reimplemented from XFuPrinter. Definition at line 21 of file XFuRLESpritePrinter.cpp. Referenced by create(), and XFuConfigurationData::loadPrinter().

INT32 XFuRLESpritePrinter::getCharWidth | ( | CHAR | aChar | ) | `[virtual]`

| Returns the width of a single character. Reimplemented from XFuPrinter. Definition at line 273 of file XFuRLESpritePrinter.cpp. References mLetterSprite, XFuPrinter::mMaxletter, and XFuPrinter::mSpaceWidth.

void XFuRLESpritePrinter::print | ( | XFcGLSurface * | aTarget,
|  | INT32 | aX,
|  | INT32 | aY,
|  | const CHAR * | aText,
|  | INT32 | aBlendType = 0,
|  | INT32 | aBlendValue = 0x7f,
|  | XFcRectangle * | aClipRect = NULL
| ) | `[virtual]`

| Prints a character string with the printer's font. String is printed to a target surface with optional blending and clipping rectangle. Reimplemented from XFuPrinter. Definition at line 158 of file XFuRLESpritePrinter.cpp. References XFuPrinter::mLetterSpacing, mLetterSprite, XFuPrinter::mLineSpacing, XFuPrinter::mMaxletter, and XFuPrinter::mSpaceWidth.

void XFuRLESpritePrinter::stringMetrics | ( | const CHAR * | aText,
|  | INT32 & | aWidth,
|  | INT32 & | aHeight
| ) | `[virtual]`

| Calculates how big an area a string would take if printed. Reimplemented from XFuPrinter. Definition at line 224 of file XFuRLESpritePrinter.cpp. References XFuPrinter::mLetterSpacing, mLetterSprite, XFuPrinter::mLineHeight, XFuPrinter::mLineSpacing, XFuPrinter::mMaxletter, and XFuPrinter::mSpaceWidth.

## Member Data Documentation

XFcRLESprite** XFuRLESpritePrinter::mLetterSprite`[protected]`

| Definition at line 48 of file XFuRLESpritePrinter.h. Referenced by create(), getCharWidth(), print(), stringMetrics(), XFuRLESpritePrinter(), and ~XFuRLESpritePrinter().

The documentation for this class was generated from the following files:

- XFuRLESpritePrinter.h
- XFuRLESpritePrinter.cpp

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch